GET /api/security/token/{chain}/{address}
Token security analysis
GET token data from security service
Endpoint​
GET https://api.web3identity.com/api/security/token/{chain}/{address}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
chain | path | string | âś… | Chain name (ethereum, base, etc.) |
address | path | string | âś… | Ethereum address (0x...) |
Example Request​
curl -s "https://api.web3identity.com/api/security/token/:chain/:address" | jq
Responses​
200 Token security analysis​
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec